﻿init python:
    class gallery_item:
        def __init__(self, name, label, icon = "no_icon", info = ""):
            self.name = name
            self.label = label
            self.icon = icon
            self.info = info
    class gallery_list:
        def __init__(self, name, image, items, items_per_page = 3):
            self.name = name
            self.image = image
            self.items = items
            self.items_per_page = items_per_page

    class reply_gallery_class:
        def __init__(self, items, unlocked = None):
            self.items = items
            self.unlocked = unlocked
        def open(self, i):
            pass
            # Show("reply_gallery_list", g = self.all[i])()

style reply_text:
    align (.5,.5)
    size 20
style reply_button:
    align (.5,.5) padding (20,20)
    background "#13051bcd"

transform reply_buttons():
    on idle:
        ease .3 additive .3
    on hover:
        ease .3 additive .0

screen reply_gallery_screen(g):
    modal True
    style_prefix "reply"
    add "#2c093ecd"
    hbox:
        align .5,.5 spacing 50
        for i in g.items:
            button:
                at reply_buttons
                vbox:
                    add i.image
                    text i.name
                action Show("reply_gallery_list", g = i)

    button:
        align .5,1.0 yoffset -40
        at reply_buttons
        text "Close"
        action Return()

screen reply_gallery_list(g):
    modal True
    style_prefix "reply"
    add "#2c093ecd"
    hbox:
        align .5,.5 spacing 50
        for i in g.items:
            button:
                vbox:
                    add i.icon
                    text i.name
                action Replay(i.label)

    button:
        align .5,1.0 yoffset -40
        at reply_buttons
        text "Close"
        action Hide("reply_gallery_list")
init:
    define Luna = Character("Luna")
    define Aoi = Character("Aoi")
    define Bubble = Character("Bubble")
    define Ella = Character("Ella")
    define Hannah = Character("Hannah")
    define Maya = Character("Maya")
    define Midori = Character("Midori")
    define Rose = Character("Rose")
    define me = Character("Me")

init:
    default aoi_intro = gallery_item(
        name = "Aoi's interview",
        label = "aoi_intro",
        icon = "aoi_thumbnail",
        info = "The second one.",
        )
    default bubble_intro = gallery_item(
        name = "Bubble's interview",
        label = "bubble_intro",
        icon = "bubble_thumbnail",
        info = "The first one.",
        )
    default ella_intro = gallery_item(
        name = "Ella's interview",
        label = "ella_intro",
        icon = "ella_thumbnail",
        info = "The second one.",
        )
    default hannah_intro = gallery_item(
        name = "Hannah's interview",
        label = "hannah_intro",
        icon = "hannah_thumbnail",
        info = "The second one.",
        )
    default maya_intro = gallery_item(
        name = "Maya's interview",
        label = "maya_intro",
        icon = "maya_thumbnail",
        info = "The second one.",
        )
    default midori_intro = gallery_item(
        name = "Midori's interview",
        label = "midori_intro",
        icon = "midori_thumbnail",
        info = "The second one.",
        )
    default rose_intro = gallery_item(
        name = "Rose's interview",
        label = "rose_intro",
        icon = "rose_thumbnail",
        info = "The second one.",
        )

init:
    default reply_gallery = reply_gallery_class(
        items =[
            gallery_list(
                "Village records", "village_records",
                [
                    aoi_intro,
                    bubble_intro,
                    ella_intro,
                    hannah_intro,
                    maya_intro,
                    midori_intro,
                    rose_intro,
                ]
            ),
            gallery_list(
                "Lab records", "lab_records",
                [
                    aoi_intro,
                ]
            ),
            gallery_list(
                "Ancient records", "ancient_records",
                [
                    aoi_intro,
                ]
            ),
        ]
    )


label reply_gallery_example:
    scene black
    show bg village with dissolve
    show luna with dissolve
    Luna "Is it true?"
    me "What?"
    Luna "Are you the new mage in charge of testing the artifact?"
    me "Yes."
    Luna "Is it true that it lets you re-live memories?"
    me "That's What we're here to test."
    Luna "My warriors are at your service."
    me "Alright, tell them to one by one come forward and talk a little."
    Luna "Sure."
    hide luna with dissolve
    Luna "GIRLS!"

label aoi_intro:
    scene bg village
    show aoi with dissolve
    # This is how we exclude something from replay, can be code or dialogue
    if not _in_replay:
        $ renpy.notify("You've activated the artifact.")
    Aoi "Aoi sir! Shield maiden."
    me "Aoi."
    Aoi "Yes sir."
    me "Is that your natural hair color?"
    Aoi "Yes sir!"
    me "Not a human then?"
    Aoi "Half sir."
    me "Do you have a favorite food?"
    Aoi "Food sir?"
    me "Yes, is that an odd question?"
    Aoi "I assumed your questions would be battle related."
    me "Well, battle isn't my cup of tea."
    Aoi "I see."
    "..."
    me "Food?"
    Aoi "Military ration sir!"
    me "Isn't military ration bland?"
    Aoi "Not on the meat days."
    me "Oh, right."
    me "Let's see..."
    me "I think we have enough, you can go."
    Aoi "Yes sir!"
    hide aoi with dissolve
    if not _in_replay:
        $ renpy.notify("You've de-activated the artifact.")
    $ renpy.end_replay()

    Luna "NEXT!"

label bubble_intro:
    scene bg village
    show bubble with dissolve
    if not _in_replay:
        $ renpy.notify("You've activated the artifact.")
    Bubble "Hi."
    me "Hello."
    me "What's your name?"
    Bubble "Bubble."
    me "A pretty name."
    Bubble "Hehe..."
    me "And pretty eyes. Half blood?"
    Bubble "yes."
    me "What's your favorite color?"
    Bubble "Blue."
    me "Not pink?"
    Bubble "Pink too."
    Bubble "And yellow... Red... Green..."
    me "Let's say all colors."
    Bubble "Hehe..."
    me "Alright, you're dismissed."
    Bubble "Yes!"
    hide bubble with dissolve
    if not _in_replay:
        $ renpy.notify("You've de-activated the artifact.")
    $ renpy.end_replay()

    Luna "Next!"

label ella_intro:
    scene bg village
    show ella with dissolve
    if not _in_replay:
        $ renpy.notify("You've activated the artifact.")
    Ella "Sir?"
    me "Aren't you a bit young to be a solder?"
    Ella "Not in human years."
    me "Oh. I didn't notice your ears. Elf?"
    Ella "Yes sir."
    me "I see."
    me "So... Ella... What's your favorite food?"
    Ella "Tikishi bread and Fugam."
    me "Wha..."
    Ella "They're elven dish."
    me "I see... Maybe it's better to stick to colors."
    me "What's your favorite color?"
    Ella "White."
    Ella "Of course."
    me "Umm... What's the capital of Madozinia?"
    Ella "Darida."
    me "Correct."
    me "That's all, you can go."
    hide ella with dissolve
    if not _in_replay:
        $ renpy.notify("You've de-activated the artifact.")
    $ renpy.end_replay()

    me "Miss Luna, let's speed it up."
    Luna "Yes sir."
    Luna "Next!"

label hannah_intro:
    scene bg village
    show hannah with dissolve
    if not _in_replay:
        $ renpy.notify("You've activated the artifact.")
    Hannah "Sir!"
    me "What's your name?"
    Hannah "Hannah sir!"
    me "What's your favorite color."
    Hannah "Blue sir!"
    me "What's the capital of Gadun?"
    Hannah "I don't know sir!"
    me "Thank you."
    hide hannah with dissolve
    if not _in_replay:
        $ renpy.notify("You've de-activated the artifact.")
    $ renpy.end_replay()

    Luna "Next!"

label maya_intro:
    scene bg village
    show maya with dissolve
    if not _in_replay:
        $ renpy.notify("You've activated the artifact.")
    "..."
    me "Whoah... I don't have to ask about your favorite color I guess."
    Maya "No you don't."
    me "Is that a spy outfit?"
    Maya "Can't answer that question."
    me "It is."
    me "So... what's the capital... favorite food, yeah that's a good one."
    Maya "Can't think of a new country?"
    me "Yep."
    Maya "My favorite food is roast duck."
    me "Alright, thank you."
    hide maya with dissolve
    if not _in_replay:
        $ renpy.notify("You've de-activated the artifact.")
    $ renpy.end_replay()

    Luna "Next!"

label midori_intro:
    scene bg village
    show midori with dissolve
    if not _in_replay:
        $ renpy.notify("You've activated the artifact.")
    Midori "Midori."
    me "What's..."
    me "Oh right, your eyes, mind reader?"
    Midori "Yes."
    me "I'll think it and your answer."
    Midori "Alright."
    pause .5
    Midori "Green."
    pause .5
    Midori "Vividi."
    pause .5
    Midori "Tomorrow!"
    pause .5
    Midori "Wood."
    pause .5
    Midori "Sure!"
    pause .5
    hide midori with dissolve
    if not _in_replay:
        $ renpy.notify("You've de-activated the artifact.")
    $ renpy.end_replay()

    Luna "Next!"
    
label rose_intro:
    scene bg village
    show rose with dissolve
    if not _in_replay:
        $ renpy.notify("You've activated the artifact.")
    Rose "Sir!"
    me "What's your name?"
    Rose "Rose."
    me "What's your favorite color?"
    Rose "Red."
    me "What's your mission."
    Rose "To seek... the enemies of the kingdom and paint the ground with their blood."
    me "Alright. Thank you."
    hide rose with dissolve
    if not _in_replay:
        $ renpy.notify("You've de-activated the artifact.")
    $ renpy.end_replay()

label end_part:
    scene bg village
    show luna with dissolve
    Luna "That's all of them!"
    me "Quite an impressive line-up."
    Luna "Thank you."
    me "Let's see what the artifact have recorded."
    call screen reply_gallery_screen(reply_gallery)
    "..."




